local qvars = require "quarrel.vars"
local wibox = require "wibox"

local displays = require "ui.statusbar.panel.widgets.displays"
local music = require "ui.statusbar.panel.widgets.music"
local power_menu = require "ui.statusbar.panel.widgets.power_menu"
local wifi = require "ui.statusbar.panel.widgets.wifi"

local panel = wibox.widget {
    widget = wibox.container.margin,
    margins = {
        left = qvars.big_padding
    },
    {
        {
            widget = wibox.container.place,
            valign = "top",
            {
                {
                    displays.battery,
                    displays.audio,
                    displays.brightness,
                    layout = wibox.layout.fixed.horizontal,
                    spacing = qvars.padding,
                },
                wifi,
                music,
                layout = wibox.layout.fixed.vertical,
                spacing = qvars.padding
            }
        },
        {
            widget = wibox.container.background,
            {
                widget = wibox.widget.textbox,
                text = ":)"
            }
        },
        {
            widget = wibox.container.place,
            valign = "bottom",
            power_menu
        },
        layout = wibox.layout.align.vertical,
    }
}

return panel
