local phosphor = require "assets.phosphor"
local qui = require "quarrel.ui"
local qvars = require "quarrel.vars"
local wibox = require "wibox"

local function create_display(icon, color)
    return wibox.widget {
        widget = wibox.container.place,
        valign = "center",
        halign = "center",
        qui.icon(icon, color)
    }
end

local battery = create_display(phosphor.battery_vertical_warning_fill, qvars.colors.red)
awesome.connect_signal("services::battery::icon", function(icon, color)
    battery.widget.image = icon
    battery.widget.stylesheet = qui.recolor(color)
end)

local brightness = create_display(phosphor.moon_fill, qvars.colors.fg)
awesome.connect_signal("services::brightness::icon", function(icon, color)
    brightness.widget.image = icon
    brightness.widget.stylesheet = qui.recolor(color)
end)

local audio = create_display(phosphor.speaker_simple_slash_fill, qvars.colors.red)
awesome.connect_signal("services::audio::icon", function(icon, color)
    audio.widget.image = icon
    audio.widget.stylesheet = qui.recolor(color)
end)

local wifi = create_display(phosphor.wifi_x_fill, qvars.colors.red)
awesome.connect_signal("services::wifi::icon", function(icon, color)
    wifi.widget.image = icon
    wifi.widget.stylesheet = qui.recolor(color)
end)

return { audio = audio, battery = battery, brightness = brightness, wifi = wifi }
